{
  pkgs ? import <nixpkgs> { },
}:

pkgs.stdenv.mkDerivation {
  pname = "jitsi-room-prosody";
  version = "1.0.0";

  src = pkgs.lib.cleanSource ./.;
  dontBuild = true;

  installPhase = ''
    runHook preInstall
    mkdir -p $out/share
    mv *.lua $out/share/
    runHook postInstall
  '';

  meta = {
    name = "Jitsi Rooms Prosody Plugin";
    description = "Prosody configuration for Jitsi Rooms";
  };
}
