import { useState } from 'react'
import { UsersData } from '../background/types/roomData'

function useRoomData() {
  const [roomData, setRoomDataInternal] = useState<UsersData>()

  const setRoomData = (usersData: UsersData) => {
    usersData.roomsData = usersData.roomsData.map((roomData) => {
      roomData.roomName = decodeURI(roomData.roomName)
      return roomData
    })
    setRoomDataInternal(usersData)
  }

  return { roomData, setRoomData }
}

export default useRoomData
